<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>flubioSettings &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>flubioSettings 
    <small>Module</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.3% of total for modules and submodules.">56 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/flubioSettings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/flubiosettings.f03.html'>flubioSettings.f03</a></li>
    
  
     <li class="active">flubioSettings</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 














<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#subs-0">Subroutines</a></h3></div>
  <div class="list-group">
    <div id="subs-0" class="panel-collapse collapse">
      
      <a class="list-group-item" href="../module/flubiosettings.html#proc-poisson_settings">poisson_settings</a>
      
      <a class="list-group-item" href="../module/flubiosettings.html#proc-navierstokessettings">NavierStokesSettings</a>
      
      <a class="list-group-item" href="../module/flubiosettings.html#proc-printlogo">printLogo</a>
      
    </div>
  </div>
</div>










</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <p>flubioSettings reads settings from a configuration files for the potential/Poisson solvers.</p>
      <br>
    
  
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Uses</h3>
      </div>
      <ul class="list-group">
      
      <li class="list-group-item">
  <ul class="list-inline">
    
    <li><a href='../module/flubiodictionaries.html'>flubioDictionaries</a></li>
    
    <li><a href='../module/flubiompi.html'>flubioMpi</a></li>
    
  </ul>
      </li>
      
      
      
      <li class="list-group-item">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: module~~flubiosettings~~UsesGraph Pages: 1 -->
<svg id="moduleflubiosettingsUsesGraph" width="641pt" height="303pt"
 viewBox="0.00 0.00 641.00 303.40" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="module~~flubiosettings~~UsesGraph" class="graph" transform="scale(.8769 .8769) rotate(0) translate(4 342)">
<title>module~~flubiosettings~~UsesGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-342 727,-342 727,4 -4,4"/>
<!-- module~flubiosettings -->
<g id="module~~flubiosettings~~UsesGraph_node1" class="node">
<title>module~flubiosettings</title>
<polygon fill="none" stroke="#000000" points="723,-275 647,-275 647,-251 723,-251 723,-275"/>
<text text-anchor="middle" x="685" y="-260.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">flubioSettings</text>
</g>
<!-- module~flubiodictionaries -->
<g id="module~~flubiosettings~~UsesGraph_node2" class="node">
<title>module~flubiodictionaries</title>
<g id="a_module~~flubiosettings~~UsesGraph_node2"><a xlink:href=".././module/flubiodictionaries.html" xlink:title="flubioDictionaries">
<polygon fill="#337ab7" stroke="#337ab7" points="611,-192 517,-192 517,-168 611,-168 611,-192"/>
<text text-anchor="middle" x="564" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioDictionaries</text>
</a>
</g>
</g>
<!-- module~flubiosettings&#45;&gt;module~flubiodictionaries -->
<g id="module~~flubiosettings~~UsesGraph_edge1" class="edge">
<title>module~flubiosettings&#45;&gt;module~flubiodictionaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M667.4056,-250.9311C647.0636,-236.9775 613.3887,-213.8782 590.0186,-197.8475"/>
<polygon fill="#000000" stroke="#000000" points="591.8419,-194.8539 581.6157,-192.0835 587.8822,-200.6264 591.8419,-194.8539"/>
</g>
<!-- module~flubiompi -->
<g id="module~~flubiosettings~~UsesGraph_node3" class="node">
<title>module~flubiompi</title>
<g id="a_module~~flubiosettings~~UsesGraph_node3"><a xlink:href=".././module/flubiompi.html" xlink:title="flubioMpi">
<polygon fill="#337ab7" stroke="#337ab7" points="187,-338 132,-338 132,-314 187,-314 187,-338"/>
<text text-anchor="middle" x="159.5" y="-323.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioMpi</text>
</a>
</g>
</g>
<!-- module~flubiosettings&#45;&gt;module~flubiompi -->
<g id="module~~flubiosettings~~UsesGraph_edge2" class="edge">
<title>module~flubiosettings&#45;&gt;module~flubiompi</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M656.2725,-275.0792C617.3715,-290.7183 545.3922,-317.1363 481,-327 371.6093,-343.7567 342.664,-327.7632 232,-327 220.7438,-326.9224 208.5054,-326.777 197.3442,-326.6206"/>
<polygon fill="#000000" stroke="#000000" points="197.091,-323.1166 187.0406,-326.4692 196.9881,-330.1158 197.091,-323.1166"/>
</g>
<!-- module~lsolvers -->
<g id="module~~flubiosettings~~UsesGraph_node4" class="node">
<title>module~lsolvers</title>
<g id="a_module~~flubiosettings~~UsesGraph_node4"><a xlink:href=".././module/lsolvers.html" xlink:title="lsolvers">
<polygon fill="#337ab7" stroke="#337ab7" points="453.5,-318 399.5,-318 399.5,-294 453.5,-294 453.5,-318"/>
<text text-anchor="middle" x="426.5" y="-303.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">lsolvers</text>
</a>
</g>
</g>
<!-- module~flubiodictionaries&#45;&gt;module~lsolvers -->
<g id="module~~flubiosettings~~UsesGraph_edge3" class="edge">
<title>module~flubiodictionaries&#45;&gt;module~lsolvers</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M557.3825,-192.1177C545.0493,-213.661 516.5479,-258.8171 481,-285 475.6957,-288.9069 469.5736,-292.1833 463.3904,-294.8976"/>
<polygon fill="#000000" stroke="#000000" points="461.7487,-291.7827 453.7323,-298.7101 464.3189,-298.2938 461.7487,-291.7827"/>
</g>
<!-- module~turbmodel -->
<g id="module~~flubiosettings~~UsesGraph_node6" class="node">
<title>module~turbmodel</title>
<g id="a_module~~flubiosettings~~UsesGraph_node6"><a xlink:href=".././module/turbmodel.html" xlink:title="turbModel">
<polygon fill="#337ab7" stroke="#337ab7" points="457,-150 396,-150 396,-126 457,-126 457,-150"/>
<text text-anchor="middle" x="426.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">turbModel</text>
</a>
</g>
</g>
<!-- module~flubiodictionaries&#45;&gt;module~turbmodel -->
<g id="module~~flubiosettings~~UsesGraph_edge4" class="edge">
<title>module~flubiodictionaries&#45;&gt;module~turbmodel</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M524.598,-167.9645C506.5194,-162.4423 485.1077,-155.902 466.908,-150.3428"/>
<polygon fill="#000000" stroke="#000000" points="467.7554,-146.9421 457.1692,-147.368 465.7105,-153.6367 467.7554,-146.9421"/>
</g>
<!-- module~sources -->
<g id="module~~flubiosettings~~UsesGraph_node7" class="node">
<title>module~sources</title>
<g id="a_module~~flubiosettings~~UsesGraph_node7"><a xlink:href=".././module/sources.html" xlink:title="sources">
<polygon fill="#337ab7" stroke="#337ab7" points="453.5,-276 399.5,-276 399.5,-252 453.5,-252 453.5,-276"/>
<text text-anchor="middle" x="426.5" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">sources</text>
</a>
</g>
</g>
<!-- module~flubiodictionaries&#45;&gt;module~sources -->
<g id="module~~flubiosettings~~UsesGraph_edge5" class="edge">
<title>module~flubiodictionaries&#45;&gt;module~sources</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M550.4482,-192.2154C534.6691,-205.9625 507.3885,-228.2905 481,-243 475.3621,-246.1427 469.1582,-249.0209 463.0184,-251.5719"/>
<polygon fill="#000000" stroke="#000000" points="461.5437,-248.3907 453.5136,-255.3022 464.101,-254.9069 461.5437,-248.3907"/>
</g>
<!-- module~controls -->
<g id="module~~flubiosettings~~UsesGraph_node8" class="node">
<title>module~controls</title>
<g id="a_module~~flubiosettings~~UsesGraph_node8"><a xlink:href=".././module/controls.html" xlink:title="controls">
<polygon fill="#337ab7" stroke="#337ab7" points="453.5,-108 399.5,-108 399.5,-84 453.5,-84 453.5,-108"/>
<text text-anchor="middle" x="426.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">controls</text>
</a>
</g>
</g>
<!-- module~flubiodictionaries&#45;&gt;module~controls -->
<g id="module~~flubiosettings~~UsesGraph_edge7" class="edge">
<title>module~flubiodictionaries&#45;&gt;module~controls</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M550.4482,-167.7846C534.6691,-154.0375 507.3885,-131.7095 481,-117 475.3621,-113.8573 469.1582,-110.9791 463.0184,-108.4281"/>
<polygon fill="#000000" stroke="#000000" points="464.101,-105.0931 453.5136,-104.6978 461.5437,-111.6093 464.101,-105.0931"/>
</g>
<!-- module~options -->
<g id="module~~flubiosettings~~UsesGraph_node9" class="node">
<title>module~options</title>
<g id="a_module~~flubiosettings~~UsesGraph_node9"><a xlink:href=".././module/options.html" xlink:title="options">
<polygon fill="#337ab7" stroke="#337ab7" points="453.5,-192 399.5,-192 399.5,-168 453.5,-168 453.5,-192"/>
<text text-anchor="middle" x="426.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">options</text>
</a>
</g>
</g>
<!-- module~flubiodictionaries&#45;&gt;module~options -->
<g id="module~~flubiosettings~~UsesGraph_edge6" class="edge">
<title>module~flubiodictionaries&#45;&gt;module~options</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M516.6803,-180C499.4747,-180 480.2793,-180 464.0355,-180"/>
<polygon fill="#000000" stroke="#000000" points="463.8377,-176.5001 453.8377,-180 463.8377,-183.5001 463.8377,-176.5001"/>
</g>
<!-- module~runtimeproc -->
<g id="module~~flubiosettings~~UsesGraph_node10" class="node">
<title>module~runtimeproc</title>
<g id="a_module~~flubiosettings~~UsesGraph_node10"><a xlink:href=".././module/runtimeproc.html" xlink:title="runTimeProc">
<polygon fill="#337ab7" stroke="#337ab7" points="463,-234 390,-234 390,-210 463,-210 463,-234"/>
<text text-anchor="middle" x="426.5" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">runTimeProc</text>
</a>
</g>
</g>
<!-- module~flubiodictionaries&#45;&gt;module~runtimeproc -->
<g id="module~~flubiosettings~~UsesGraph_edge8" class="edge">
<title>module~flubiodictionaries&#45;&gt;module~runtimeproc</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M524.598,-192.0355C508.4116,-196.9797 489.5532,-202.7401 472.7206,-207.8817"/>
<polygon fill="#000000" stroke="#000000" points="471.6208,-204.5579 463.0795,-210.8266 473.6657,-211.2526 471.6208,-204.5579"/>
</g>
<!-- module~steadystatecontrols -->
<g id="module~~flubiosettings~~UsesGraph_node11" class="node">
<title>module~steadystatecontrols</title>
<g id="a_module~~flubiosettings~~UsesGraph_node11"><a xlink:href=".././module/steadystatecontrols.html" xlink:title="steadyStateControls">
<polygon fill="#337ab7" stroke="#337ab7" points="481,-66 372,-66 372,-42 481,-42 481,-66"/>
<text text-anchor="middle" x="426.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">steadyStateControls</text>
</a>
</g>
</g>
<!-- module~flubiodictionaries&#45;&gt;module~steadystatecontrols -->
<g id="module~~flubiosettings~~UsesGraph_edge9" class="edge">
<title>module~flubiodictionaries&#45;&gt;module~steadystatecontrols</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M557.3825,-167.8823C545.0493,-146.339 516.5479,-101.1829 481,-75 478.964,-73.5004 476.8075,-72.0937 474.5734,-70.776"/>
<polygon fill="#000000" stroke="#000000" points="476.1463,-67.649 465.6614,-66.1267 472.9086,-73.8552 476.1463,-67.649"/>
</g>
<!-- module~meshregions -->
<g id="module~~flubiosettings~~UsesGraph_node12" class="node">
<title>module~meshregions</title>
<g id="a_module~~flubiosettings~~UsesGraph_node12"><a xlink:href=".././module/meshregions.html" xlink:title="meshRegions">
<polygon fill="#337ab7" stroke="#337ab7" points="465.5,-24 387.5,-24 387.5,0 465.5,0 465.5,-24"/>
<text text-anchor="middle" x="426.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">meshRegions</text>
</a>
</g>
</g>
<!-- module~flubiodictionaries&#45;&gt;module~meshregions -->
<g id="module~~flubiosettings~~UsesGraph_edge10" class="edge">
<title>module~flubiodictionaries&#45;&gt;module~meshregions</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M560.3269,-167.8913C551.3252,-140.1646 525.5862,-71.501 481,-33 479.019,-31.2894 476.8834,-29.7102 474.6445,-28.2534"/>
<polygon fill="#000000" stroke="#000000" points="476.0455,-25.0276 465.6058,-23.2216 472.6407,-31.1437 476.0455,-25.0276"/>
</g>
<!-- mpi -->
<g id="module~~flubiosettings~~UsesGraph_node5" class="node">
<title>mpi</title>
<g id="a_module~~flubiosettings~~UsesGraph_node5"><a xlink:href="http://www.mpi-forum.org/docs/mpi-3.1/mpi31-report/node410.htm" xlink:title="mpi">
<polygon fill="#337ab7" stroke="#337ab7" points="70.5,-338 16.5,-338 16.5,-314 70.5,-314 70.5,-338"/>
<text text-anchor="middle" x="43.5" y="-323.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">mpi</text>
</a>
</g>
</g>
<!-- module~flubiompi&#45;&gt;mpi -->
<g id="module~~flubiosettings~~UsesGraph_edge11" class="edge">
<title>module~flubiompi&#45;&gt;mpi</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M131.7151,-326C116.5399,-326 97.536,-326 81.0569,-326"/>
<polygon fill="#000000" stroke="#000000" points="80.658,-322.5001 70.6579,-326 80.6579,-329.5001 80.658,-322.5001"/>
</g>
<!-- module~globalmeshvar -->
<g id="module~~flubiosettings~~UsesGraph_node14" class="node">
<title>module~globalmeshvar</title>
<g id="a_module~~flubiosettings~~UsesGraph_node14"><a xlink:href=".././module/globalmeshvar.html" xlink:title="globalMeshVar">
<polygon fill="#337ab7" stroke="#337ab7" points="326,-318 242,-318 242,-294 326,-294 326,-318"/>
<text text-anchor="middle" x="284" y="-303.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">globalMeshVar</text>
</a>
</g>
</g>
<!-- module~lsolvers&#45;&gt;module~globalmeshvar -->
<g id="module~~flubiosettings~~UsesGraph_edge12" class="edge">
<title>module~lsolvers&#45;&gt;module~globalmeshvar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M399.3614,-306C381.596,-306 357.7984,-306 336.4325,-306"/>
<polygon fill="#000000" stroke="#000000" points="336.1763,-302.5001 326.1763,-306 336.1763,-309.5001 336.1763,-302.5001"/>
</g>
<!-- module~generaldictionaries -->
<g id="module~~flubiosettings~~UsesGraph_node15" class="node">
<title>module~generaldictionaries</title>
<g id="a_module~~flubiosettings~~UsesGraph_node15"><a xlink:href=".././module/generaldictionaries.html" xlink:title="generalDictionaries">
<polygon fill="#337ab7" stroke="#337ab7" points="336,-192 232,-192 232,-168 336,-168 336,-192"/>
<text text-anchor="middle" x="284" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">generalDictionaries</text>
</a>
</g>
</g>
<!-- module~lsolvers&#45;&gt;module~generaldictionaries -->
<g id="module~~flubiosettings~~UsesGraph_edge13" class="edge">
<title>module~lsolvers&#45;&gt;module~generaldictionaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M399.363,-298.5788C390.168,-295.3 380.1671,-290.837 372,-285 369.778,-283.4119 325.4194,-230.0213 300.5501,-200.0015"/>
<polygon fill="#000000" stroke="#000000" points="303.1774,-197.6865 294.1037,-192.2166 297.7859,-202.151 303.1774,-197.6865"/>
</g>
<!-- module~turbmodel&#45;&gt;module~generaldictionaries -->
<g id="module~~flubiosettings~~UsesGraph_edge14" class="edge">
<title>module~turbmodel&#45;&gt;module~generaldictionaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M395.9302,-147.0101C378.0792,-152.2714 355.1049,-159.0428 334.6203,-165.0803"/>
<polygon fill="#000000" stroke="#000000" points="333.4,-161.7911 324.7975,-167.9755 335.3791,-168.5055 333.4,-161.7911"/>
</g>
<!-- module~globaltimevar -->
<g id="module~~flubiosettings~~UsesGraph_node16" class="node">
<title>module~globaltimevar</title>
<g id="a_module~~flubiosettings~~UsesGraph_node16"><a xlink:href=".././module/globaltimevar.html" xlink:title="globalTimeVar">
<polygon fill="#337ab7" stroke="#337ab7" points="325,-87 243,-87 243,-63 325,-63 325,-87"/>
<text text-anchor="middle" x="284" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">globalTimeVar</text>
</a>
</g>
</g>
<!-- module~turbmodel&#45;&gt;module~globaltimevar -->
<g id="module~~flubiosettings~~UsesGraph_edge15" class="edge">
<title>module~turbmodel&#45;&gt;module~globaltimevar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M395.7773,-126.6404C387.9733,-123.6242 379.637,-120.288 372,-117 353.673,-109.1097 333.5675,-99.5817 317.2062,-91.5967"/>
<polygon fill="#000000" stroke="#000000" points="318.5661,-88.3652 308.0474,-87.0976 315.4797,-94.6481 318.5661,-88.3652"/>
</g>
<!-- qvector_m -->
<g id="module~~flubiosettings~~UsesGraph_node13" class="node">
<title>qvector_m</title>
<polygon fill="#337ab7" stroke="#337ab7" points="315.5,-276 252.5,-276 252.5,-252 315.5,-252 315.5,-276"/>
<text text-anchor="middle" x="284" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">qvector_m</text>
</g>
<!-- module~sources&#45;&gt;qvector_m -->
<g id="module~~flubiosettings~~UsesGraph_edge16" class="edge">
<title>module~sources&#45;&gt;qvector_m</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M399.3614,-264C378.54,-264 349.4327,-264 325.6656,-264"/>
<polygon fill="#000000" stroke="#000000" points="325.5094,-260.5001 315.5094,-264 325.5093,-267.5001 325.5094,-260.5001"/>
</g>
<!-- module~sources&#45;&gt;module~generaldictionaries -->
<g id="module~~flubiosettings~~UsesGraph_edge17" class="edge">
<title>module~sources&#45;&gt;module~generaldictionaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M399.2847,-255.059C390.374,-251.7285 380.5679,-247.6203 372,-243 348.4812,-230.3174 323.9361,-212.2841 306.7627,-198.7586"/>
<polygon fill="#000000" stroke="#000000" points="308.4941,-195.6616 298.4986,-192.1488 304.1218,-201.1282 308.4941,-195.6616"/>
</g>
<!-- module~controls&#45;&gt;module~generaldictionaries -->
<g id="module~~flubiosettings~~UsesGraph_edge18" class="edge">
<title>module~controls&#45;&gt;module~generaldictionaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M399.2847,-104.941C390.374,-108.2715 380.5679,-112.3797 372,-117 348.4812,-129.6826 323.9361,-147.7159 306.7627,-161.2414"/>
<polygon fill="#000000" stroke="#000000" points="304.1218,-158.8718 298.4986,-167.8512 308.4941,-164.3384 304.1218,-158.8718"/>
</g>
<!-- module~controls&#45;&gt;module~globaltimevar -->
<g id="module~~flubiosettings~~UsesGraph_edge19" class="edge">
<title>module~controls&#45;&gt;module~globaltimevar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M399.3614,-92.0006C381.2364,-89.3296 356.8325,-85.7332 335.1382,-82.5362"/>
<polygon fill="#000000" stroke="#000000" points="335.474,-79.0479 325.0705,-81.0525 334.4534,-85.9731 335.474,-79.0479"/>
</g>
<!-- module~options&#45;&gt;module~generaldictionaries -->
<g id="module~~flubiosettings~~UsesGraph_edge20" class="edge">
<title>module~options&#45;&gt;module~generaldictionaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M399.3614,-180C384.3037,-180 364.9124,-180 346.3414,-180"/>
<polygon fill="#000000" stroke="#000000" points="346.1414,-176.5001 336.1413,-180 346.1413,-183.5001 346.1414,-176.5001"/>
</g>
<!-- module~runtimeproc&#45;&gt;module~generaldictionaries -->
<g id="module~~flubiosettings~~UsesGraph_edge21" class="edge">
<title>module~runtimeproc&#45;&gt;module~generaldictionaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M389.8027,-211.184C372.9565,-206.2187 352.7099,-200.2513 334.4583,-194.8719"/>
<polygon fill="#000000" stroke="#000000" points="335.4238,-191.5077 324.8422,-192.0377 333.4448,-198.2221 335.4238,-191.5077"/>
</g>
<!-- module~steadystatecontrols&#45;&gt;module~generaldictionaries -->
<g id="module~~flubiosettings~~UsesGraph_edge22" class="edge">
<title>module~steadystatecontrols&#45;&gt;module~generaldictionaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M387.7117,-66.1177C382.1989,-68.6323 376.7848,-71.5803 372,-75 339.5423,-98.1974 311.8393,-136.0732 296.5945,-159.4337"/>
<polygon fill="#000000" stroke="#000000" points="293.6214,-157.5865 291.2001,-167.901 299.5251,-161.3477 293.6214,-157.5865"/>
</g>
<!-- module~steadystatecontrols&#45;&gt;module~globaltimevar -->
<g id="module~~flubiosettings~~UsesGraph_edge23" class="edge">
<title>module~steadystatecontrols&#45;&gt;module~globaltimevar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M371.8133,-62.0591C359.7936,-63.8304 347.1082,-65.6998 335.2306,-67.4502"/>
<polygon fill="#000000" stroke="#000000" points="334.4205,-64.0317 325.0377,-68.9523 335.4411,-70.9569 334.4205,-64.0317"/>
</g>
<!-- module~meshregions&#45;&gt;module~generaldictionaries -->
<g id="module~~flubiosettings~~UsesGraph_edge24" class="edge">
<title>module~meshregions&#45;&gt;module~generaldictionaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M387.4121,-23.2423C381.8791,-25.8848 376.538,-29.1016 372,-33 347.5377,-54.0141 352.4898,-68.2856 336,-96 323.0505,-117.7642 307.7399,-142.3669 297.0998,-159.2933"/>
<polygon fill="#000000" stroke="#000000" points="294.0841,-157.514 291.7138,-167.8403 300.0063,-161.246 294.0841,-157.514"/>
</g>
<!-- module~meshregions&#45;&gt;module~globaltimevar -->
<g id="module~~flubiosettings~~UsesGraph_edge25" class="edge">
<title>module~meshregions&#45;&gt;module~globaltimevar</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M394.0561,-24.0267C386.7571,-26.8638 379.0782,-29.9526 372,-33 353.673,-40.8903 333.5675,-50.4183 317.2062,-58.4033"/>
<polygon fill="#000000" stroke="#000000" points="315.4797,-55.3519 308.0474,-62.9024 318.5661,-61.6348 315.4797,-55.3519"/>
</g>
<!-- module~generaldictionaries&#45;&gt;module~flubiompi -->
<g id="module~~flubiosettings~~UsesGraph_edge31" class="edge">
<title>module~generaldictionaries&#45;&gt;module~flubiompi</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M274.0855,-192.0658C257.9115,-211.6955 224.7642,-251.7017 196,-285 190.0427,-291.8963 183.4431,-299.3613 177.5123,-306.0078"/>
<polygon fill="#000000" stroke="#000000" points="174.5217,-304.1008 170.4563,-313.8847 179.7357,-308.7715 174.5217,-304.1008"/>
</g>
<!-- module~m_strings -->
<g id="module~~flubiosettings~~UsesGraph_node17" class="node">
<title>module~m_strings</title>
<g id="a_module~~flubiosettings~~UsesGraph_node17"><a xlink:href=".././module/m_strings.html" xlink:title="M_strings">
<polygon fill="#337ab7" stroke="#337ab7" points="189,-112 130,-112 130,-88 189,-88 189,-112"/>
<text text-anchor="middle" x="159.5" y="-97.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">M_strings</text>
</a>
</g>
</g>
<!-- module~generaldictionaries&#45;&gt;module~m_strings -->
<g id="module~~flubiosettings~~UsesGraph_edge27" class="edge">
<title>module~generaldictionaries&#45;&gt;module~m_strings</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M265.0911,-167.8497C244.2209,-154.4392 210.4477,-132.7375 186.7291,-117.4966"/>
<polygon fill="#000000" stroke="#000000" points="188.4839,-114.4639 178.1789,-112.0025 184.6997,-120.3529 188.4839,-114.4639"/>
</g>
<!-- iso_fortran_env -->
<g id="module~~flubiosettings~~UsesGraph_node18" class="node">
<title>iso_fortran_env</title>
<g id="a_module~~flubiosettings~~UsesGraph_node18"><a xlink:href="http://fortranwiki.org/fortran/show/iso_fortran_env" xlink:title="iso_fortran_env">
<polygon fill="#337ab7" stroke="#337ab7" points="87,-132 0,-132 0,-108 87,-108 87,-132"/>
<text text-anchor="middle" x="43.5" y="-117.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">iso_fortran_env</text>
</a>
</g>
</g>
<!-- module~generaldictionaries&#45;&gt;iso_fortran_env -->
<g id="module~~flubiosettings~~UsesGraph_edge26" class="edge">
<title>module~generaldictionaries&#45;&gt;iso_fortran_env</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M235.6205,-167.9303C195.5772,-157.9403 138.7389,-143.7602 97.276,-133.416"/>
<polygon fill="#000000" stroke="#000000" points="97.9013,-129.9648 87.3514,-130.9401 96.2068,-136.7567 97.9013,-129.9648"/>
</g>
<!-- module~strings -->
<g id="module~~flubiosettings~~UsesGraph_node19" class="node">
<title>module~strings</title>
<g id="a_module~~flubiosettings~~UsesGraph_node19"><a xlink:href=".././module/strings.html" xlink:title="strings">
<polygon fill="#337ab7" stroke="#337ab7" points="186.5,-276 132.5,-276 132.5,-252 186.5,-252 186.5,-276"/>
<text text-anchor="middle" x="159.5" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">strings</text>
</a>
</g>
</g>
<!-- module~generaldictionaries&#45;&gt;module~strings -->
<g id="module~~flubiosettings~~UsesGraph_edge28" class="edge">
<title>module~generaldictionaries&#45;&gt;module~strings</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M268.1136,-192.1014C250.7412,-205.1612 221.9143,-226.3272 196,-243 194.1017,-244.2213 192.1305,-245.4535 190.1314,-246.6761"/>
<polygon fill="#000000" stroke="#000000" points="188.134,-243.7918 181.3291,-251.9123 191.7128,-249.8078 188.134,-243.7918"/>
</g>
<!-- json_module -->
<g id="module~~flubiosettings~~UsesGraph_node20" class="node">
<title>json_module</title>
<g id="a_module~~flubiosettings~~UsesGraph_node20"><a xlink:href="http://jacobwilliams.github.io/json-Fortran/" xlink:title="json_module">
<polygon fill="#337ab7" stroke="#337ab7" points="196,-234 123,-234 123,-210 196,-210 196,-234"/>
<text text-anchor="middle" x="159.5" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">json_module</text>
</a>
</g>
</g>
<!-- module~generaldictionaries&#45;&gt;json_module -->
<g id="module~~flubiosettings~~UsesGraph_edge29" class="edge">
<title>module~generaldictionaries&#45;&gt;json_module</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M248.3233,-192.0355C234.7787,-196.6048 219.1679,-201.8711 204.8481,-206.7019"/>
<polygon fill="#000000" stroke="#000000" points="203.5385,-203.4498 195.1819,-209.9627 205.7761,-210.0825 203.5385,-203.4498"/>
</g>
<!-- qhashtbl_m -->
<g id="module~~flubiosettings~~UsesGraph_node21" class="node">
<title>qhashtbl_m</title>
<polygon fill="#337ab7" stroke="#337ab7" points="193.5,-192 125.5,-192 125.5,-168 193.5,-168 193.5,-192"/>
<text text-anchor="middle" x="159.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">qhashtbl_m</text>
</g>
<!-- module~generaldictionaries&#45;&gt;qhashtbl_m -->
<g id="module~~flubiosettings~~UsesGraph_edge30" class="edge">
<title>module~generaldictionaries&#45;&gt;qhashtbl_m</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M231.9222,-180C222.53,-180 212.8203,-180 203.6797,-180"/>
<polygon fill="#000000" stroke="#000000" points="203.6488,-176.5001 193.6488,-180 203.6488,-183.5001 203.6488,-176.5001"/>
</g>
<!-- module~m_strings&#45;&gt;iso_fortran_env -->
<g id="module~~flubiosettings~~UsesGraph_edge32" class="edge">
<title>module~m_strings&#45;&gt;iso_fortran_env</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M129.9282,-105.0986C119.8563,-106.8351 108.2649,-108.8336 96.9097,-110.7914"/>
<polygon fill="#000000" stroke="#000000" points="96.2957,-107.3456 87.0358,-112.4938 97.4851,-114.2438 96.2957,-107.3456"/>
</g>
</g>
</svg>
</div><script>var panmoduleflubiosettingsUsesGraph = svgPanZoom('#moduleflubiosettingsUsesGraph', {zoomEnabled: true,controlIconsEnabled: true, fit: true, center: true,}); </script><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="490pt" height="32pt"
 viewBox="0.00 0.00 489.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 485.5,-28 485.5,4 -4,4"/>
<!-- Module -->
<g id="node1" class="node">
<title>Module</title>
<polygon fill="#337ab7" stroke="#337ab7" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Module</text>
</g>
<!-- Submodule -->
<g id="node2" class="node">
<title>Submodule</title>
<polygon fill="#5bc0de" stroke="#5bc0de" points="139.5,-24 72.5,-24 72.5,0 139.5,0 139.5,-24"/>
<text text-anchor="middle" x="106" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Submodule</text>
</g>
<!-- Subroutine -->
<g id="node3" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="222,-24 158,-24 158,0 222,0 222,-24"/>
<text text-anchor="middle" x="190" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node4" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="294,-24 240,-24 240,0 294,0 294,-24"/>
<text text-anchor="middle" x="267" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="366,-24 312,-24 312,0 366,0 366,-24"/>
<text text-anchor="middle" x="339" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="481.5,-24 384.5,-24 384.5,0 481.5,0 481.5,-24"/>
<text text-anchor="middle" x="433" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a submodule to the (sub)module which it is
    descended from. Dashed arrows point from a module or program unit to 
    modules which it uses.
    </p>
    </div></div></div></div>
      </li>
      
      </ul>
    </div>
    

    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Used by</h3>
      </div>
      <ul class="list-group">
  
  
  <li class="list-group-item">
    <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: module~~flubiosettings~~UsedByGraph Pages: 1 -->
<svg id="moduleflubiosettingsUsedByGraph" width="262pt" height="536pt"
 viewBox="0.00 0.00 262.00 536.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="module~~flubiosettings~~UsedByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 532)">
<title>module~~flubiosettings~~UsedByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-532 258,-532 258,4 -4,4"/>
<!-- module~flubiosettings -->
<g id="module~~flubiosettings~~UsedByGraph_node1" class="node">
<title>module~flubiosettings</title>
<polygon fill="none" stroke="#000000" points="76,-276 0,-276 0,-252 76,-252 76,-276"/>
<text text-anchor="middle" x="38" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">flubioSettings</text>
</g>
<!-- program~piso_alghorithm -->
<g id="module~~flubiosettings~~UsedByGraph_node2" class="node">
<title>program~piso_alghorithm</title>
<g id="a_module~~flubiosettings~~UsedByGraph_node2"><a xlink:href=".././program/piso_alghorithm.html" xlink:title="PISO_Alghorithm">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="230,-528 136,-528 136,-504 230,-504 230,-528"/>
<text text-anchor="middle" x="183" y="-513.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">PISO_Alghorithm</text>
</a>
</g>
</g>
<!-- program~piso_alghorithm&#45;&gt;module~flubiosettings -->
<g id="module~~flubiosettings~~UsedByGraph_edge1" class="edge">
<title>program~piso_alghorithm&#45;&gt;module~flubiosettings</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M135.9451,-509.077C127.1286,-505.9624 118.6173,-501.4705 112,-495 81.5004,-465.1773 52.9302,-337.8897 42.3364,-286.0749"/>
<polygon fill="#000000" stroke="#000000" points="45.7585,-285.3389 40.3544,-276.226 38.8961,-286.7199 45.7585,-285.3389"/>
</g>
<!-- program~simple -->
<g id="module~~flubiosettings~~UsedByGraph_node3" class="node">
<title>program~simple</title>
<g id="a_module~~flubiosettings~~UsedByGraph_node3"><a xlink:href=".././program/simple.html" xlink:title="SIMPLE">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="210,-486 156,-486 156,-462 210,-462 210,-486"/>
<text text-anchor="middle" x="183" y="-471.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">SIMPLE</text>
</a>
</g>
</g>
<!-- program~simple&#45;&gt;module~flubiosettings -->
<g id="module~~flubiosettings~~UsedByGraph_edge2" class="edge">
<title>program~simple&#45;&gt;module~flubiosettings</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M155.899,-471.7266C141.3182,-469.2103 123.9322,-463.952 112,-453 62.7482,-407.794 45.8546,-325.7901 40.4083,-286.3571"/>
<polygon fill="#000000" stroke="#000000" points="43.8534,-285.7003 39.134,-276.2147 36.908,-286.573 43.8534,-285.7003"/>
</g>
<!-- program~fs_alghorithm -->
<g id="module~~flubiosettings~~UsedByGraph_node4" class="node">
<title>program~fs_alghorithm</title>
<g id="a_module~~flubiosettings~~UsedByGraph_node4"><a xlink:href=".././program/fs_alghorithm.html" xlink:title="FS_Alghorithm">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="224.5,-444 141.5,-444 141.5,-420 224.5,-420 224.5,-444"/>
<text text-anchor="middle" x="183" y="-429.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">FS_Alghorithm</text>
</a>
</g>
</g>
<!-- program~fs_alghorithm&#45;&gt;module~flubiosettings -->
<g id="module~~flubiosettings~~UsedByGraph_edge3" class="edge">
<title>program~fs_alghorithm&#45;&gt;module~flubiosettings</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M141.1378,-425.6746C130.7788,-422.5637 120.2862,-417.9229 112,-411 72.4038,-377.9182 51.848,-318.3606 43.1732,-286.1418"/>
<polygon fill="#000000" stroke="#000000" points="46.5369,-285.1677 40.6765,-276.3413 39.7536,-286.8958 46.5369,-285.1677"/>
</g>
<!-- program~burgers -->
<g id="module~~flubiosettings~~UsedByGraph_node5" class="node">
<title>program~burgers</title>
<g id="a_module~~flubiosettings~~UsedByGraph_node5"><a xlink:href=".././program/burgers.html" xlink:title="burgers">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="210,-402 156,-402 156,-378 210,-378 210,-402"/>
<text text-anchor="middle" x="183" y="-387.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">burgers</text>
</a>
</g>
</g>
<!-- program~burgers&#45;&gt;module~flubiosettings -->
<g id="module~~flubiosettings~~UsedByGraph_edge4" class="edge">
<title>program~burgers&#45;&gt;module~flubiosettings</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M155.8241,-386.347C141.7397,-383.4231 124.8475,-378.2153 112,-369 81.7141,-347.2765 59.4334,-309.1667 47.6133,-285.3239"/>
<polygon fill="#000000" stroke="#000000" points="50.6617,-283.5852 43.1951,-276.0684 44.3445,-286.6007 50.6617,-283.5852"/>
</g>
<!-- program~testfct -->
<g id="module~~flubiosettings~~UsedByGraph_node6" class="node">
<title>program~testfct</title>
<g id="a_module~~flubiosettings~~UsedByGraph_node6"><a xlink:href=".././program/testfct.html" xlink:title="testFCT">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="210,-360 156,-360 156,-336 210,-336 210,-360"/>
<text text-anchor="middle" x="183" y="-345.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">testFCT</text>
</a>
</g>
</g>
<!-- program~testfct&#45;&gt;module~flubiosettings -->
<g id="module~~flubiosettings~~UsedByGraph_edge5" class="edge">
<title>program~testfct&#45;&gt;module~flubiosettings</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M155.6598,-342.7373C142.0114,-339.4202 125.5631,-334.3468 112,-327 90.9703,-315.6088 70.5412,-297.5169 56.4953,-283.6373"/>
<polygon fill="#000000" stroke="#000000" points="58.8996,-281.0908 49.3854,-276.4291 53.916,-286.0065 58.8996,-281.0908"/>
</g>
<!-- program~potentialflow -->
<g id="module~~flubiosettings~~UsedByGraph_node7" class="node">
<title>program~potentialflow</title>
<g id="a_module~~flubiosettings~~UsedByGraph_node7"><a xlink:href=".././program/potentialflow.html" xlink:title="potentialFlow">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="221,-318 145,-318 145,-294 221,-294 221,-318"/>
<text text-anchor="middle" x="183" y="-303.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">potentialFlow</text>
</a>
</g>
</g>
<!-- program~potentialflow&#45;&gt;module~flubiosettings -->
<g id="module~~flubiosettings~~UsedByGraph_edge6" class="edge">
<title>program~potentialflow&#45;&gt;module~flubiosettings</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M144.903,-294.965C126.8253,-289.7287 105.0327,-283.4164 85.8525,-277.8607"/>
<polygon fill="#000000" stroke="#000000" points="86.6731,-274.4546 76.0941,-275.0341 84.7255,-281.1782 86.6731,-274.4546"/>
</g>
<!-- program~poissonequation -->
<g id="module~~flubiosettings~~UsedByGraph_node8" class="node">
<title>program~poissonequation</title>
<g id="a_module~~flubiosettings~~UsedByGraph_node8"><a xlink:href=".././program/poissonequation.html" xlink:title="PoissonEquation">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="229,-276 137,-276 137,-252 229,-252 229,-276"/>
<text text-anchor="middle" x="183" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">PoissonEquation</text>
</a>
</g>
</g>
<!-- program~poissonequation&#45;&gt;module~flubiosettings -->
<g id="module~~flubiosettings~~UsedByGraph_edge7" class="edge">
<title>program~poissonequation&#45;&gt;module~flubiosettings</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M136.7224,-264C120.6771,-264 102.6514,-264 86.4369,-264"/>
<polygon fill="#000000" stroke="#000000" points="86.0823,-260.5001 76.0822,-264 86.0822,-267.5001 86.0823,-260.5001"/>
</g>
<!-- proc~simplemwritetofiles -->
<g id="module~~flubiosettings~~UsedByGraph_node9" class="node">
<title>proc~simplemwritetofiles</title>
<g id="a_module~~flubiosettings~~UsedByGraph_node9"><a xlink:href=".././proc/simplemwritetofiles.html" xlink:title="SIMPLEMWriteTofiles">
<polygon fill="#d9534f" stroke="#d9534f" points="240.5,-234 125.5,-234 125.5,-210 240.5,-210 240.5,-234"/>
<text text-anchor="middle" x="183" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">SIMPLEMWriteTofiles</text>
</a>
</g>
</g>
<!-- proc~simplemwritetofiles&#45;&gt;module~flubiosettings -->
<g id="module~~flubiosettings~~UsedByGraph_edge8" class="edge">
<title>proc~simplemwritetofiles&#45;&gt;module~flubiosettings</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M141.4488,-234.0355C124.0787,-239.0668 103.7908,-244.9433 85.8055,-250.1529"/>
<polygon fill="#000000" stroke="#000000" points="84.7151,-246.8248 76.0837,-252.9689 86.6627,-253.5484 84.7151,-246.8248"/>
</g>
<!-- proc~fswritetofiles -->
<g id="module~~flubiosettings~~UsedByGraph_node10" class="node">
<title>proc~fswritetofiles</title>
<g id="a_module~~flubiosettings~~UsedByGraph_node10"><a xlink:href=".././proc/fswritetofiles.html" xlink:title="FSWriteTofiles">
<polygon fill="#d9534f" stroke="#d9534f" points="223.5,-192 142.5,-192 142.5,-168 223.5,-168 223.5,-192"/>
<text text-anchor="middle" x="183" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">FSWriteTofiles</text>
</a>
</g>
</g>
<!-- proc~fswritetofiles&#45;&gt;module~flubiosettings -->
<g id="module~~flubiosettings~~UsedByGraph_edge9" class="edge">
<title>proc~fswritetofiles&#45;&gt;module~flubiosettings</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M142.4032,-188.8471C132.1426,-191.9245 121.3812,-195.9185 112,-201 90.9703,-212.3912 70.5412,-230.4831 56.4953,-244.3627"/>
<polygon fill="#000000" stroke="#000000" points="53.916,-241.9935 49.3854,-251.5709 58.8996,-246.9092 53.916,-241.9935"/>
</g>
<!-- proc~simplewritetofiles -->
<g id="module~~flubiosettings~~UsedByGraph_node11" class="node">
<title>proc~simplewritetofiles</title>
<g id="a_module~~flubiosettings~~UsedByGraph_node11"><a xlink:href=".././proc/simplewritetofiles.html" xlink:title="SIMPLEWriteTofiles">
<polygon fill="#d9534f" stroke="#d9534f" points="236,-150 130,-150 130,-126 236,-126 236,-150"/>
<text text-anchor="middle" x="183" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">SIMPLEWriteTofiles</text>
</a>
</g>
</g>
<!-- proc~simplewritetofiles&#45;&gt;module~flubiosettings -->
<g id="module~~flubiosettings~~UsedByGraph_edge10" class="edge">
<title>proc~simplewritetofiles&#45;&gt;module~flubiosettings</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M129.9454,-149.3309C123.5858,-151.9245 117.4315,-155.1041 112,-159 81.7141,-180.7235 59.4334,-218.8333 47.6133,-242.6761"/>
<polygon fill="#000000" stroke="#000000" points="44.3445,-241.3993 43.1951,-251.9316 50.6617,-244.4148 44.3445,-241.3993"/>
</g>
<!-- program~advectiondiffusionequation -->
<g id="module~~flubiosettings~~UsedByGraph_node12" class="node">
<title>program~advectiondiffusionequation</title>
<g id="a_module~~flubiosettings~~UsedByGraph_node12"><a xlink:href=".././program/advectiondiffusionequation.html" xlink:title="advectionDiffusionEquation">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="254,-108 112,-108 112,-84 254,-84 254,-108"/>
<text text-anchor="middle" x="183" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">advectionDiffusionEquation</text>
</a>
</g>
</g>
<!-- program~advectiondiffusionequation&#45;&gt;module~flubiosettings -->
<g id="module~~flubiosettings~~UsedByGraph_edge11" class="edge">
<title>program~advectiondiffusionequation&#45;&gt;module~flubiosettings</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M126.1459,-108.0616C121.0617,-110.5103 116.2417,-113.4561 112,-117 72.4038,-150.0818 51.848,-209.6394 43.1732,-241.8582"/>
<polygon fill="#000000" stroke="#000000" points="39.7536,-241.1042 40.6765,-251.6587 46.5369,-242.8323 39.7536,-241.1042"/>
</g>
<!-- program~simplem -->
<g id="module~~flubiosettings~~UsedByGraph_node13" class="node">
<title>program~simplem</title>
<g id="a_module~~flubiosettings~~UsedByGraph_node13"><a xlink:href=".././program/simplem.html" xlink:title="SIMPLEM">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="213,-66 153,-66 153,-42 213,-42 213,-66"/>
<text text-anchor="middle" x="183" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">SIMPLEM</text>
</a>
</g>
</g>
<!-- program~simplem&#45;&gt;module~flubiosettings -->
<g id="module~~flubiosettings~~UsedByGraph_edge12" class="edge">
<title>program~simplem&#45;&gt;module~flubiosettings</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M152.7346,-56.8556C138.8623,-59.5699 123.0799,-64.8303 112,-75 62.7482,-120.206 45.8546,-202.2099 40.4083,-241.6429"/>
<polygon fill="#000000" stroke="#000000" points="36.908,-241.427 39.134,-251.7853 43.8534,-242.2997 36.908,-241.427"/>
</g>
<!-- proc~pisowritetofiles -->
<g id="module~~flubiosettings~~UsedByGraph_node14" class="node">
<title>proc~pisowritetofiles</title>
<g id="a_module~~flubiosettings~~UsedByGraph_node14"><a xlink:href=".././proc/pisowritetofiles.html" xlink:title="PISOWriteTofiles">
<polygon fill="#d9534f" stroke="#d9534f" points="229,-24 137,-24 137,0 229,0 229,-24"/>
<text text-anchor="middle" x="183" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">PISOWriteTofiles</text>
</a>
</g>
</g>
<!-- proc~pisowritetofiles&#45;&gt;module~flubiosettings -->
<g id="module~~flubiosettings~~UsedByGraph_edge13" class="edge">
<title>proc~pisowritetofiles&#45;&gt;module~flubiosettings</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M136.6805,-18.6666C127.6029,-21.7895 118.8012,-26.3498 112,-33 81.5004,-62.8227 52.9302,-190.1103 42.3364,-241.9251"/>
<polygon fill="#000000" stroke="#000000" points="38.8961,-241.2801 40.3544,-251.774 45.7585,-242.6611 38.8961,-241.2801"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="490pt" height="32pt"
 viewBox="0.00 0.00 489.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 485.5,-28 485.5,4 -4,4"/>
<!-- Module -->
<g id="node1" class="node">
<title>Module</title>
<polygon fill="#337ab7" stroke="#337ab7" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Module</text>
</g>
<!-- Submodule -->
<g id="node2" class="node">
<title>Submodule</title>
<polygon fill="#5bc0de" stroke="#5bc0de" points="139.5,-24 72.5,-24 72.5,0 139.5,0 139.5,-24"/>
<text text-anchor="middle" x="106" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Submodule</text>
</g>
<!-- Subroutine -->
<g id="node3" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="222,-24 158,-24 158,0 222,0 222,-24"/>
<text text-anchor="middle" x="190" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node4" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="294,-24 240,-24 240,0 294,0 294,-24"/>
<text text-anchor="middle" x="267" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="366,-24 312,-24 312,0 366,0 366,-24"/>
<text text-anchor="middle" x="339" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="481.5,-24 384.5,-24 384.5,0 481.5,0 481.5,-24"/>
<text text-anchor="middle" x="433" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a submodule to the (sub)module which it is
    descended from. Dashed arrows point from a module or program unit to 
    modules which it uses.
    </p>
    </div></div></div></div>
  </li>
  
      </ul>
    </div>
    

    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 














<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#subs-1">Subroutines</a></h3></div>
  <div class="list-group">
    <div id="subs-1" class="panel-collapse collapse">
      
      <a class="list-group-item" href="../module/flubiosettings.html#proc-poisson_settings">poisson_settings</a>
      
      <a class="list-group-item" href="../module/flubiosettings.html#proc-navierstokessettings">NavierStokesSettings</a>
      
      <a class="list-group-item" href="../module/flubiosettings.html#proc-printlogo">printLogo</a>
      
    </div>
  </div>
</div>










    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    

    
    <section>
    <h2>Subroutines</h2>
    
    
  <div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="proc-poisson_settings"></span><h3>
public subroutine <a href='../proc/poisson_settings.html'>poisson_settings</a>()
    
    
   
</h3></div>
  <div class="panel-body">
       
    







<p>poisson_settings fills the dictionaries needed to setup the Poisson/convection diffusion solver.</p>
    
    <h4>Arguments</h4>
    
      <em>None</em>
    
    

  </div>
  </div>

    
    
  <div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="proc-navierstokessettings"></span><h3>
public subroutine <a href='../proc/navierstokessettings.html'>NavierStokesSettings</a>()
    
    
   
</h3></div>
  <div class="panel-body">
       
    







<p>NavierStokesSettings fills the dictionaries needed to setup the Navier-Stokes solver</p>
    
    <h4>Arguments</h4>
    
      <em>None</em>
    
    

  </div>
  </div>

    
    
  <div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="proc-printlogo"></span><h3>
public subroutine <a href='../proc/printlogo.html'>printLogo</a>()
    
    
   
</h3></div>
  <div class="panel-body">
       
    
    
    <h4>Arguments</h4>
    
      <em>None</em>
    
    

  </div>
  </div>

    
    </section>    
    <br>
    
    
    
    </div>
  </div>

  
    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>